Go to the latest version of this document.

# ``twisted`.`protocols`.`amp`.`UnknownRemoteError``

exception documentation

`class UnknownRemoteError(RemoteAmpError): (source)`

Constructor: `UnknownRemoteError(description)`

View In Hierarchy

This means that an error whose type we can't identify was raised from the other side.

Method | `__init__` | Create a remote error with an error code and description.

Inherited from `RemoteAmpError`:

Instance Variable | `description` | Undocumented
Instance Variable | `errorCode` | Undocumented
Instance Variable | `fatal` | Undocumented
Instance Variable | `local` | Undocumented

def __init__(self, description): (source)
overrides `twisted.protocols.amp.RemoteAmpError.__init__`

Create a remote error with an error code and description.

Parameters
description:`str` | some text to show to the user.
errorCode:`bytes` | the AMP error code of this error.
fatal | a boolean, true if this error should terminate the connection.
local | a local Failure, if one exists.